#chart {
	width: 100%; /* Make sure it takes up full width */
	max-width: 1000px; /* Cap the maximum width to avoid stretching */
	height: 600px; /* Set the chart height */
	margin-top: 20px; /* Space above the chart */
	margin-left: auto; /* Center horizontally */
	margin-right: auto; /* Center horizontally */
}




/* FOR LISTE QTQ ONLY */

/* Merged Icon Styles */
.icon-container,
.icon-container-mdi {
	display: inline-block;
	margin: 5px; /* Standardize on 5px */
	width: 2rem;
	text-align: justify;
	text-align-last: left;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
}

/* Specific size override for MDI */
.icon-container {
	font-size: 1.4rem;
}

.icon-container-mdi {
	font-size: 2rem;
}

.icon-container i,
.icon-container-mdi span {
	display: block;
}



#iconContainer{
	width: 100%;
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	align-items: flex-start;
}



/* Make controls more responsive */
@media (max-width: 768px) {
    .title {
        font-size: 1.3rem;
        padding-top: 20px;
        margin-bottom: 15px;
        width: 90%;
        text-align: center;
    }

	label {
		font-size: 0.9rem; /* Reduce label size for better fit */
	}
	select {
		width: 100%; /* Take full width of the container */
	}

    #chart {
        height: 300px; /* Adjust chart height for smaller screens */
    }
	
	.icon-container {
		font-size: 1rem;
		width: 0.9rem;
	}
}